## gclcvs 2.7.0-79

=== binutils/bfd/po/Makefile ===
# Makefile for program source directory in GNU NLS utilities package.
# Copyright (C) 1995, 1996, 1997 by Ulrich Drepper <drepper@gnu.ai.mit.edu>
# Copyright 2001, 2003 Free Software Foundation, Inc.
#
# This file may be copied and used freely without restrictions.  It can
# be used in projects which are not available under the GNU Public License
# but which still want to provide support for the GNU gettext functionality.
# Please note that the actual code is *not* freely available.

PACKAGE = bfd
VERSION = 2.16.1

SHELL = /bin/sh


srcdir = .
top_srcdir = ..


prefix = /usr/local
exec_prefix = ${prefix}
datadir = $(prefix)/share
localedir = $(datadir)/locale
gnulocaledir = $(prefix)/share/locale
gettextsrcdir = $(prefix)/share/gettext/po
subdir = po

DESTDIR =

INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
MKINSTALLDIRS = $(srcdir)/../../mkinstalldirs

CC = gcc
GENCAT = @GENCAT@
GMSGFMT = PATH=../src:$$PATH 
MSGFMT = 
XGETTEXT = PATH=../src:$$PATH 
MSGMERGE = PATH=../src:$$PATH msgmerge

DEFS = -DHAVE_CONFIG_H
CFLAGS = -g -O2
CPPFLAGS = 

INCLUDES = -I.. -I$(top_srcdir)/intl

COMPILE = $(CC) -c $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS) $(XCFLAGS)

SOURCES = cat-id-tbl.c
POFILES =  fr.po tr.po ja.po es.po sv.po da.po zh_CN.po ro.po
GMOFILES =  fr.gmo tr.gmo ja.gmo es.gmo sv.gmo da.gmo zh_CN.gmo ro.gmo
DISTFILES = ChangeLog Makefile.in.in SRC-POTFILES.in BLD-POTFILES.in $(PACKAGE).pot \
stamp-cat-id $(POFILES) $(GMOFILES) $(SOURCES)

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of source dir POTFILES.
SRC-POTFILES = \
	../aix386-core.c \
	../aix5ppc-core.c \
	../aout0.c \
	../aout32.c \
	../aout64.c \
	../aout-adobe.c \
	../aout-arm.c \
	../aout-cris.c \
	../aoutf1.h \
	../aout-ns32k.c \
	../aout-sparcle.c \
	../aout-target.h \
	../aout-tic30.c \
	../aoutx.h \
	../archive64.c \
	../archive.c \
	../archures.c \
	../armnetbsd.c \
	../bfd.c \
	../bfdio.c \
	../bfdwin.c \
	../binary.c \
	../bout.c \
	../cache.c \
	../cf-i386lynx.c \
	../cf-m68klynx.c \
	../cf-sparclynx.c \
	../cisco-core.c \
	../coff64-rs6000.c \
	../coff-a29k.c \
	../coff-alpha.c \
	../coff-apollo.c \
	../coff-arm.c \
	../coff-aux.c \
	../coffcode.h \
	../coffgen.c \
	../coff-go32.c \
	../coff-h8300.c \
	../coff-h8500.c \
	../coff-i386.c \
	../coff-i860.c \
	../coff-i960.c \
	../cofflink.c \
	../coff-m68k.c \
	../coff-m88k.c \
	../coff-maxq.c \
	../coff-mips.c \
	../coff-or32.c \
	../coff-rs6000.c \
	../coff-sh.c \
	../coff-sparc.c \
	../coff-stgo32.c \
	../coff-svm68k.c \
	../coffswap.h \
	../coff-tic30.c \
	../coff-tic4x.c \
	../coff-tic54x.c \
	../coff-tic80.c \
	../coff-u68k.c \
	../coff-w65.c \
	../coff-we32k.c \
	../coff-z8k.c \
	../corefile.c \
	../cpu-a29k.c \
	../cpu-alpha.c \
	../cpu-arc.c \
	../cpu-arm.c \
	../cpu-avr.c \
	../cpu-cr16c.c \
	../cpu-cris.c \
	../cpu-crx.c \
	../cpu-d10v.c \
	../cpu-d30v.c \
	../cpu-dlx.c \
	../cpu-fr30.c \
	../cpu-frv.c \
	../cpu-h8300.c \
	../cpu-h8500.c \
	../cpu-hppa.c \
	../cpu-i370.c \
	../cpu-i386.c \
	../cpu-i860.c \
	../cpu-i960.c \
	../cpu-ia64.c \
	../cpu-ip2k.c \
	../cpu-iq2000.c \
	../cpu-m10200.c \
	../cpu-m10300.c \
	../cpu-m32r.c \
	../cpu-m68hc11.c \
	../cpu-m68hc12.c \
	../cpu-m68k.c \
	../cpu-m88k.c \
	../cpu-maxq.c \
	../cpu-mcore.c \
	../cpu-mips.c \
	../cpu-mmix.c \
	../cpu-msp430.c \
	../cpu-ns32k.c \
	../cpu-openrisc.c \
	../cpu-or32.c \
	../cpu-pdp11.c \
	../cpu-pj.c \
	../cpu-powerpc.c \
	../cpu-rs6000.c \
	../cpu-s390.c \
	../cpu-sh.c \
	../cpu-sparc.c \
	../cpu-tic30.c \
	../cpu-tic4x.c \
	../cpu-tic54x.c \
	../cpu-tic80.c \
	../cpu-v850.c \
	../cpu-vax.c \
	../cpu-w65.c \
	../cpu-we32k.c \
	../cpu-xstormy16.c \
	../cpu-xtensa.c \
	../cpu-z8k.c \
	../demo64.c \
	../dwarf1.c \
	../dwarf2.c \
	../ecoff.c \
	../ecofflink.c \
	../ecoffswap.h \
	../efi-app-ia32.c \
	../efi-app-ia64.c \
	../elf32-am33lin.c \
	../elf32-arc.c \
	../elf32-arm.c \
	../elf32-avr.c \
	../elf32.c \
	../elf32-cr16c.c \
	../elf32-cris.c \
	../elf32-crx.c \
	../elf32-d10v.c \
	../elf32-d30v.c \
	../elf32-dlx.c \
	../elf32-fr30.c \
	../elf32-frv.c \
	../elf32-gen.c \
	../elf32-h8300.c \
	../elf32-hppa.c \
	../elf32-hppa.h \
	../elf32-i370.c \
	../elf32-i386.c \
	../elf32-i860.c \
	../elf32-i960.c \
	../elf32-ip2k.c \
	../elf32-iq2000.c \
	../elf32-m32r.c \
	../elf32-m68hc11.c \
	../elf32-m68hc12.c \
	../elf32-m68hc1x.c \
	../elf32-m68k.c \
	../elf32-m88k.c \
	../elf32-mcore.c \
	../elf32-mips.c \
	../elf32-msp430.c \
	../elf32-openrisc.c \
	../elf32-or32.c \
	../elf32-pj.c \
	../elf32-ppc.c \
	../elf32-s390.c \
	../elf32-sh64.c \
	../elf32-sh64-com.c \
	../elf32-sh.c \
	../elf32-sh-symbian.c \
	../elf32-sparc.c \
	../elf32-v850.c \
	../elf32-vax.c \
	../elf32-xstormy16.c \
	../elf32-xtensa.c \
	../elf64-alpha.c \
	../elf64.c \
	../elf64-gen.c \
	../elf64-hppa.c \
	../elf64-hppa.h \
	../elf64-mips.c \
	../elf64-mmix.c \
	../elf64-ppc.c \
	../elf64-s390.c \
	../elf64-sh64.c \
	../elf64-sparc.c \
	../elf64-x86-64.c \
	../elf-bfd.h \
	../elf.c \
	../elfcode.h \
	../elfcore.h \
	../elf-eh-frame.c \
	../elf-hppa.h \
	../elflink.c \
	../elf-m10200.c \
	../elf-m10300.c \
	../elfn32-mips.c \
	../elf-strtab.c \
	../elfxx-mips.c \
	../epoc-pe-arm.c \
	../epoc-pei-arm.c \
	../format.c \
	../freebsd.h \
	../genlink.h \
	../go32stub.h \
	../hash.c \
	../hp300bsd.c \
	../hp300hpux.c \
	../hpux-core.c \
	../i386aout.c \
	../i386bsd.c \
	../i386dynix.c \
	../i386freebsd.c \
	../i386linux.c \
	../i386lynx.c \
	../i386mach3.c \
	../i386msdos.c \
	../i386netbsd.c \
	../i386os9k.c \
	../ieee.c \
	../ihex.c \
	../init.c \
	../irix-core.c \
	../libaout.h \
	../libbfd.c \
	../libbfd.h \
	../libcoff.h \
	../libecoff.h \
	../libhppa.h \
	../libieee.h \
	../libnlm.h \
	../liboasys.h \
	../libpei.h \
	../libxcoff.h \
	../linker.c \
	../lynx-core.c \
	../m68k4knetbsd.c \
	../m68klinux.c \
	../m68klynx.c \
	../m68knetbsd.c \
	../m88kmach3.c \
	../m88kopenbsd.c \
	../mach-o.c \
	../mach-o.h \
	../merge.c \
	../mipsbsd.c \
	../mmo.c \
	../netbsd.h \
	../newsos3.c \
	../nlm32-alpha.c \
	../nlm32.c \
	../nlm32-i386.c \
	../nlm32-ppc.c \
	../nlm32-sparc.c \
	../nlm64.c \
	../nlm.c \
	../nlmcode.h \
	../nlmswap.h \
	../nlm-target.h \
	../ns32k.h \
	../ns32knetbsd.c \
	../oasys.c \
	../opncls.c \
	../osf-core.c \
	../pc532-mach.c \
	../pdp11.c \
	../pe-arm.c \
	../pef.c \
	../pef.h \
	../pef-traceback.h \
	../pe-i386.c \
	../pei-arm.c \
	../peicode.h \
	../pei-i386.c \
	../pei-mcore.c \
	../pei-mips.c \
	../pei-ppc.c \
	../pei-sh.c \
	../pe-mcore.c \
	../pe-mips.c \
	../pe-ppc.c \
	../pe-sh.c \
	../ppcboot.c \
	../reloc16.c \
	../reloc.c \
	../riscix.c \
	../sco5-core.c \
	../section.c \
	../simple.c \
	../som.c \
	../som.h \
	../sparclinux.c \
	../sparclynx.c \
	../sparcnetbsd.c \
	../srec.c \
	../stabs.c \
	../stab-syms.c \
	../sunos.c \
	../syms.c \
	../targets.c \
	../tekhex.c \
	../trad-core.c \
	../vax1knetbsd.c \
	../vaxbsd.c \
	../vaxnetbsd.c \
	../versados.c \
	../version.h \
	../vms.c \
	../vms-gsd.c \
	../vms.h \
	../vms-hdr.c \
	../vms-misc.c \
	../vms-tir.c \
	../xcofflink.c \
	../xcoff-target.h \
	../xsym.c \
	../xsym.h \
	../xtensa-isa.c \
	../xtensa-modules.c 

# Note - the following line gets processed by bfd/configure and amended
# to contain the full list of build dir POTFILES.
BLD-POTFILES = \
	../bfdver.h \
	../elf32-ia64.c \
	../elf32-target.h \
	../elf64-ia64.c \
	../elf64-target.h \
	../peigen.c \
	../pepigen.c \
	../targmatch.h 

CATALOGS = 
CATOBJEXT = 
INSTOBJEXT = 

.SUFFIXES:
.SUFFIXES: .c .o .po .pox .gmo .mo .msg .cat

.c.o:
	$(COMPILE) $<

.po.pox:
	$(MAKE) $(PACKAGE).pot
	$(MSGMERGE) $< $(srcdir)/$(PACKAGE).pot -o $*.pox

.po.mo:
	$(MSGFMT) -o $@ $<

.po.gmo:
	file=$(srcdir)/`echo $* | sed 's,.*/,,'`.gmo \
	  && rm -f $$file && $(GMSGFMT) -o $$file $<

.po.cat:
	sed -f ../intl/po2msg.sed < $< > $*.msg \
	  && rm -f $@ && $(GENCAT) $@ $*.msg


all: all-no

all-yes: $(CATALOGS) # $(PACKAGE).pot
all-no:

$(srcdir)/$(PACKAGE).pot: $(SRC-POTFILES) $(BLD-POTFILES)
	$(XGETTEXT) --default-domain=$(PACKAGE) \
	  --directory=$(top_srcdir) \
	  --add-comments --keyword=_ --keyword=N_ \
	  --files-from=$(srcdir)/SRC-POTFILES.in 
	$(XGETTEXT) --default-domain=$(PACKAGE) \
	  --directory=.. \
	  --directory=. \
	  --add-comments --keyword=_ --keyword=N_ \
	  --join-existing \
	  --files-from=$(srcdir)/BLD-POTFILES.in
	rm -f $(srcdir)/$(PACKAGE).pot
	mv $(PACKAGE).po $(srcdir)/$(PACKAGE).pot

$(srcdir)/cat-id-tbl.c: stamp-cat-id; @:
$(srcdir)/stamp-cat-id: $(PACKAGE).pot
	rm -f cat-id-tbl.tmp
	sed -f ../intl/po2tbl.sed $(srcdir)/$(PACKAGE).pot \
		| sed -e "s/@PACKAGE NAME@/$(PACKAGE)/" > cat-id-tbl.tmp
	if cmp -s cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; then \
	  rm cat-id-tbl.tmp; \
	else \
	  echo cat-id-tbl.c changed; \
	  rm -f $(srcdir)/cat-id-tbl.c; \
	  mv cat-id-tbl.tmp $(srcdir)/cat-id-tbl.c; \
	fi
	cd $(srcdir) && rm -f stamp-cat-id && echo timestamp > stamp-cat-id


install: install-exec install-data
install-exec:
install-info:
install-data: install-data-no
install-data-no: all
install-data-yes: all
	if test -r $(MKINSTALLDIRS); then \
	  $(MKINSTALLDIRS) $(DESTDIR)$(datadir); \
	else \
	  $(top_srcdir)/mkinstalldirs $(DESTDIR)$(datadir); \
	fi
	@catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  case "$$cat" in \
	    *.gmo) destdir=$(gnulocaledir);; \
	    *)     destdir=$(localedir);; \
	  esac; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  dir=$(DESTDIR)$$destdir/$$lang/LC_MESSAGES; \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $$dir; \
	  else \
	    $(top_srcdir)/mkinstalldirs $$dir; \
	  fi; \
	  if test -r $$cat; then \
	    $(INSTALL_DATA) $$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $$cat as $$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  else \
	    $(INSTALL_DATA) $(srcdir)/$$cat $$dir/$(PACKAGE)$(INSTOBJEXT); \
	    echo "installing $(srcdir)/$$cat as" \
		 "$$dir/$(PACKAGE)$(INSTOBJEXT)"; \
	  fi; \
	  if test -r $$cat.m; then \
	    $(INSTALL_DATA) $$cat.m $$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	    echo "installing $$cat.m as $$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	  else \
	    if test -r $(srcdir)/$$cat.m ; then \
	      $(INSTALL_DATA) $(srcdir)/$$cat.m \
		$$dir/$(PACKAGE)$(INSTOBJEXT).m; \
	      echo "installing $(srcdir)/$$cat as" \
		   "$$dir/$(PACKAGE)$(INSTOBJEXT).m"; \
	    else \
	      true; \
	    fi; \
	  fi; \
	done
	if test "$(PACKAGE)" = "gettext"; then \
	  if test -r $(MKINSTALLDIRS); then \
	    $(MKINSTALLDIRS) $(DESTDIR)$(gettextsrcdir); \
	  else \
	    $(top_srcdir)/mkinstalldirs $(DESTDIR)$(gettextsrcdir); \
	  fi; \
	  $(INSTALL_DATA) $(srcdir)/Makefile.in.in \
			  $(DESTDIR)$(gettextsrcdir)/Makefile.in.in; \
	else \
	  : ; \
	fi

# Define this as empty until I found a useful application.
installcheck:

uninstall:
	catalogs='$(CATALOGS)'; \
	for cat in $$catalogs; do \
	  cat=`basename $$cat`; \
	  lang=`echo $$cat | sed 's/\$(CATOBJEXT)$$//'`; \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(localedir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT); \
	  rm -f $(DESTDIR)$(gnulocaledir)/$$lang/LC_MESSAGES/$(PACKAGE)$(INSTOBJEXT).m; \
	done
	rm -f $(DESTDIR)$(gettextsrcdir)/po-Makefile.in.in

check: all

cat-id-tbl.o: ../intl/libgettext.h

dvi info tags TAGS ID:

mostlyclean:
	rm -f core core.* *.pox $(PACKAGE).po *.old.po cat-id-tbl.tmp
	rm -fr *.o

clean: mostlyclean

distclean: clean
	rm -f Makefile Makefile.in *.mo *.msg *.cat *.cat.m
	rm -f SRC-POTFILES BLD-POTFILES 

maintainer-clean: distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."
	rm -f $(GMOFILES) SRC-POTFILES.in BLD-POTFILES.in

distdir = ../$(PACKAGE)-$(VERSION)/$(subdir)
dist distdir: update-po $(DISTFILES)
	dists="$(DISTFILES)"; \
	for file in $$dists; do \
	  ln $(srcdir)/$$file $(distdir) 2> /dev/null \
