## gclcvs 2.7.0-26

=== debian/changelog ===
gclcvs (2.7.0-26) unstable; urgency=low

  * C_GC_OFFSET is 2 on m68k-linux

 -- Camm Maguire <camm@enhanced.com>  Thu, 24 Jun 2004 15:13:46 +0000

gclcvs (2.7.0-25) unstable; urgency=low

  * gcc-3.4 support
  * Proper isnormal default courtesy of Magnus Henoch
  * gclclean makefile target and other small makefile changes
  * Proper check for C stack array body address in gbc.c and sgbc.c
  * acconfig.h update for isnormal default
  * Fix bug in setting elements (si::aset) of 0 rank arrays uncovered by
    the random tester
  * No -fomit-frame-pointer on mingw
  * installed tcl/tk patch for mingw
  * Fix banner license detection code in lsp/gcl_mislib.lsp as
    8features* entries are now keywords
  * o/makefile changes to work around trailing slash -I arguments gcc
    bug on mingw
  * Patch to mingwin.c:fix_filename to close long standing 'maxima
    ignore-errors filename corruption' bug on mingw
  * Trigger error when trying to make an array of rank greater than the
    limit set at compile time
  * Fix potential stack overwrite bug in quick_call_sfun/eval.c
  * Add -mprferred-stack-boundary=8 on amd64, as constant integers used
    in a call must be retrievable with va_arg(,fixnum)
  * Revert preferred-stack-boundary option on amd64 as it does not play
    well with external libraries, also eliminate -m64 to allow for user
    settings.  Cast fixnum constant C arguments in gcl_cmploc.lsp
    explicitly to (long) to ensure they can be extracted via
    va_arg(,fixnum)
  * reenable SA_SIGINFO on amd64 to restore SGC there
  * Include elf.h in FreeBSD.h
  * Allow for elf_abi.h in FreeBSD.h
  * Add envp arg to main in rsym_nt.c
  * Add README.openbsd file
  * Fix load path of clcs_macros.lisp in myload1.lisp to reenable
    compiler::link in the ansi build
  * readme.mingw updates
  * solaris.h updates for custreloc option
  * Fix eval-when behavior in compiler -- in addition to extending
    support for the new keywords :execute, :compile-toplevel, and :load-
    toplevel throughout, repair the logic in which load trumped compile.
    Closes: #226859
  * Include stdlib.h when using alloca in the compiler, report all C
    warnings to the user
  * Remove generated pcl/pcl_gaz*lsp files from repository
  * gcl -> gclcvs in gcl.el and dbl.el when compiling gclcvs package,
    Closes: #255019
  * Close possibility of malloc failure due to intervening gbc arising
    from the misordering of allocation calls

 -- Camm Maguire <camm@enhanced.com>  Wed, 23 Jun 2004 19:22:08 +0000

gclcvs (2.7.0-24) unstable; urgency=low

  * Fix segfault in referencing (sgc_)type_map out of bounds which can
    occurr when C stack is below heap, as on alpha.
  * Cleanup compiler warnings on bcmp.c bzero.c and bcopy.c
  * Clean up compiler warning in file.d
  * Ensure set TLDFLAGS are used in finding DBEGIN in copnfigure.in, for
    OpenBSD

 -- Camm Maguire <camm@enhanced.com>  Fri,  7 May 2004 21:51:43 +0000

gclcvs (2.7.0-23) unstable; urgency=low

  * Make *features* entries keywords -- add canonical host cpu and
    kernel-system to *features*, disable h files specific
    ADDITIONAL_FEATURES macro in main.c
  * Fix merge-pathanames bug in concatenating default and supplied
    directory lists
  * Minor pathname and *features* fixes
  * Fix recently introduced configure.in syntax bug
  * Minor patches to support big gcl images -- all page integers must be
    long ints, need stack space limits that scale with MAXPAGES at least
    to allow free_map stack array in sgc_start.  FIXME -- right now can
    handle situations where page numbers are ints, but npage*PAGESIZE is
    a long, need to handle npage >MAX_INT later.  This is to support the
    'billion cons element acl2 image' requested by a gcl user
  * Revert winnt features and debugging aids in configure.in
  * Revert debugging forms in o/prog.c
  * OpenBSD support, gcc warning cleanups for long page integers

 -- Camm Maguire <camm@enhanced.com>  Mon,  3 May 2004 21:36:09 +0000

gclcvs (2.7.0-22) unstable; urgency=low

  * New snapshot for Debian package

 -- Camm Maguire <camm@enhanced.com>  Tue, 20 Apr 2004 12:05:26 -0400

gclcvs (2.7.0-21) unstable; urgency=low

  * Remove junk files from source, which blocked build on ia64

 -- Camm Maguire <camm@enhanced.com>  Thu, 15 Apr 2004 15:13:10 +0000

gclcvs (2.7.0-20) unstable; urgency=low

  * Rework compiler::*ld-libs*, compiler::link, and unixport/makefile to
    accomodate mingw need for firstfile.o and lastfile.o
  * Remove incompatible -fomit-frame-pointer when compiling with -pg
    profiling
  * Load sys-proclaim.lisp files forimproved linking and smaller object
    size across the board, install same for use with compiler::link
  * Use pathnames instead of strings in compiler::link, also in image
    init files, for Windows
  * small mod to unixport/makefile re filtering of firstfile and
    lastfile
  * Default to debug mode on hppa to work around gcc compiler
    optimization bugs
  * Add missing m4 and automake files in binutils directory to enable
    automake and autoconf here
  * Add bfd/po makefiles
  * Macosx defaults in configure.in
  * Regenerate generated autotools files in binutils/bfd subdir
  * *gcl-version* -> *gcl-minor-version*,*gcl-extra-version*
  * Support for more informative banner reading features list
  * Support for both sigbus and sigsegv in sgbc.c as is customary in .h
    files
  * mach-o compatible changes in sfaslbfd.c
  * Support for new debugging section names in sfaslelf.c
  * Modify default banner slightly
  * Homebrew plt-like mechanism for ensuring that valid internal
    addresses exist to which undefined symbols in compiled lisp objects
    referring to external shared libraries can be relocated
  * Make configure demand gettext when choosing --enable-locbfd
  * Make sure references to ldb1, a stub conventionally optimized away,
    can be resonled when optimization is turned off
  * completion_matches ->  rl_completion_matches in gcl_readline.d,

