## gclcvs 2.7.0-36

=== debian/changelog ===
gclcvs (2.7.0-36) unstable; urgency=high

  * Modify pull-evals and add arg-appears in gcl_cmpeval.lsp to more
    correctly choose which arguments need pre-evaluation in binary op
    compiler-macros
  * fix fix_bitp reference to 30 instead of LOG_WORD_SIZE-2
  * int ->fixnum in list.d
  * Don't pull-eval function slot of binary-op forms
  * Yet more conservative binary-op compiler-macro strategy
  * Choose right binding when pre-evaluating vars in binary-op compiler-
    macros, using cons args as divisors
  * Fix bignum2 function broken recently by accident
  * Use side-effect flag in optimizer to prevent exponential growth in C
    expressions on nesting certain optimized forms
  * Old pathname-name case behavior in CLtL1
  * Preliminary type inferencing
  * reduce print.cons.random.2 iterations for slow autobuilders to migrate
    latest into sarge, Closes: #282809.

 -- Camm Maguire <camm@enhanced.com>  Sat, 11 Dec 2004 01:22:13 +0000

gclcvs (2.7.0-35) unstable; urgency=high

  * Evaluate all args to function operators rewritten in binary pairs
    via compiler macros, closing recent test failures misc.lsp
  * revert native-reloc exemption to wrap-literals -- is rather a 64bit
    issue
  * Preliminary support for 64bit address/nani/load-time-value, and
    64bit most-positive-fixnum

 -- Camm Maguire <camm@enhanced.com>  Sat, 27 Nov 2004 22:03:22 +0000

gclcvs (2.7.0-34) unstable; urgency=low

  * revert changes to local bfd.h files, a users might have them as
    system headers -- instead workaround reloc_done abort in sfaslbfd.c
  * Add feature native-reloc for platforms which can natively relocate
    loaded code (i.e. do not need dlopen), conditionalize new
    compiler::wrap-literals with this feature, as otherwise code can
    refer to data mapped by dlopen, which cannot be gc'ed
  * Reduce iterations for print.cons.1 test, as slower machines are
    timing out

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Nov 2004 14:47:53 -0500

gclcvs (2.7.0-33) unstable; urgency=high

  * Temporary workaround to restore xgcl
  * Properly negate integers in mp.h on 64bit machines, allowing for the
    fact that (int)2^31=-(int)2^31
  * Fix CSSIZE configure handling
  * Trigger error in funcall_with_catcher on too many call arguments
  * install target depends on all in main makefile to comply with GNU
    standards
  * load-time-value support; close compile bugs in ansi test suite
  * Only wrap-literals when not keeping temporary gazonk lisp files
    (e.g. for possible future use in compiler::link and the like).
    *keep-gaz* is effectively a switch turning compile into compile-
    file.  Make wrapping algorithm a bit more thorough.
  * Fix method-combintion ANSI failures, from cmucl
  * compiler-macro and method-combination documentation types
  * complete si::debug -> si::debugger name change
  * open probe ANSI fixes
  * array-dimension fix for bitvectors, adjust-array ansi fixes
  * bfd version independent section size semantics
  * Bug fix: "c-l-c for gclcvs creates directories in root", thanks to
    Richard M Kreuter (Closes: #282535). Fix error in clc script.
  * Make local bfd source compatible with new section size semantics
  * Fix install-command target in main makefile, DESTDIR and prefix should
    only be used in install1.
  * Bug fix: "gclcvs: FTBFS: error making tests.", thanks to Kurt Roeckx
    (Closes: #282809).file-author returns nil when pwent is null.
  * Bug fix: "FTBFS: segmentation fault", thanks to Matt Kraai (Closes:
    #274319).file-author returns nil when pwent is null.
  * Support for SC_CLK_TICK for different system time increments
  * versionless debhelper build-depend
  * Fix Debian clc cleanup

 -- Camm Maguire <camm@enhanced.com>  Thu, 25 Nov 2004 00:02:07 +0000

gclcvs (2.7.0-32) unstable; urgency=high

  * Use GMP gcd in bignum case, for performance improvement and better
    binary algorithm
  * Optimize some ratio calculations by advance call of get_gcd, also
    bring forward gmp functions mpz_divexact and mpz_divexact_ui
  * lisp-implementation-version reports GCL instead of Kyoto Common Lisp
  * Fix typo in get_gcd in num_arith.c; safer in_place checking in
    ratio_op_with_cancellation
  * Lint fixes to sfaslelf.c, correctly set init_address when .text is
    not first (Solaris ld) (heads up, Mike, you might need to check this
    too), remove assertion of non-alloc rel/rela section names
  * Solaris Lint fix to sfasli.c
  * Fix compiler::link when gnu-ld is absent
  * Fix case of exact division of 0 by a greater gcd value in
    integer_exact_quotient; trim make_ratio and reinstate as a ratio
    regularization routine in all instances,add pre_cancle flag to
    make_ratio, proper precision for some internal constants to
    correctly propagate precision of results, rework sqrt to give sane
    results for negative reals and to preserve precision, precision
    corrections in number_atan2, fix inverse trig, sqrt, and all floor
    related ansi tests
  * subtypep, upgraded array-element-type and ash ansi fixes
  * Build with local bfd in libgcl to ease migration into testing, as
    current binutils is long-term buggy
  * gmp_wrapper variable declaration order change for older gcc
  * fix wrongprototype for Llast
  * compiler macros to rewrite certain multi argument functions as
    nested calls with two arguments, to enable inlining
  * Support for inlining functions returning multiple values, with
    gethash as the first example
  * Fix compiler warning in gcl_top.lsp
  * Cleanup fixes to subtype tests of ansi test suite
  * Some very preliminary work/fixes to the ansi pretty printer tests
  * Fix ansi bignum comparison tests; FIXME -- ratio *  double where
    denominator of former is very large and the latter is modest will
    still probably fail -- need a test here (Paul?)

 -- Camm Maguire <camm@enhanced.com>  Thu, 16 Sep 2004 21:24:12 +0000

gclcvs (2.7.0-31) unstable; urgency=high


