=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: interpreters
 Priority: optional
 Maintainer: Camm Maguire <camm@enhanced.com>
-Build-Depends: debhelper ( >= 4.1.0 ), emacs21 | emacsen, libreadline4-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev
+Build-Depends: debhelper, emacs21 | emacsen, libreadline4-dev, m4, tk8.4-dev, tetex-bin, texinfo, binutils-dev, libgmp3-dev, autotools-dev
 Standards-Version: 3.6.1
 
 Package: gclcvs
 Architecture: any
-Depends: ${shlibs:Depends}, ${gcc}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${gcc}, ${binutils}
 Suggests: gclcvs-doc
 Description: GNU Common Lisp compiler, CVS snapshot
  GNU Common Lisp (GCL) is a Common Lisp compiler and interpreter
