## gclcvs 2.7.0-50

=== debian/changelog ===
gclcvs (2.7.0-50) unstable; urgency=low

  * debian binutils 2-16.1
  * ia64 support for latest changes

 -- Camm Maguire <camm@enhanced.com>  Sat, 10 Sep 2005 01:28:14 +0000

gclcvs (2.7.0-49) unstable; urgency=low

  * Restore acl2 build for testing purposes
  * block compound integer inlines for now following older pattern --
    FIXME
  * Pass unboxed binums in and out of compiled functions -- FIXME,
    decide if this is preferable to blocking this possibility and saving
    this facility for floats/doubles.  ACL2 declares quite a few
    functions as having unbounded integer arguments.
  * Allow fmakunbound to proceed on undefined functions in cltl1 for
    acl2
  * Move cmp-array-dimension proclamation to sys-proclaim.lisp until can
    work out top level form ordering in compiled files
  * More efficient inliner for array-dimension
  * Fix compile-file-pathname and compile-file-truename, split-files
  * Handle file type defaults in compile-file
  * Fix '* array element handling in aref-propagator
  * Style-warning condition
  * Save variable type information in *c-vars*, using alternate form
    (cons index type) for stack vars in inline blocks, for use in late
    inlining
  * expand result-type-from-args invocation; run compiler macros before
    c1 funs
  * Better list search function optimizations -- FIXME more here later
  * Don't  autodeclare apparently constant special variable bindings
  * compile-file ansi test fixes
  * replace eql with eq in list search functions when possible
  * preliminary support for symbol keyword and cons type optimization in
    compiler
  * Preparation for error system overhaul work
  * deftype before structure-subtype in typep
  * unused vars
  * remove ':
  * fmakunbound on undefined fn is not an error
  * heuristic to detect compiled objects from text files independent of
    filename extension
  * truename is not destructive
  * wrap compile-file  in ansi image for warnings and failures
  * Remove unused ansi_cl.lisp
  * Preliminary gabriel benchmark addition
  * Fix compile to pass warnings and failures from compile-file
  * Fix binary file detection heuristic for short files
  * Fix command line compile semantics for new compile-file behavior
  * function identifier type -- stack strings don't work for error
    reporting
  * stoi for unboxed integer arguments
  * use-fast-links -> si::use-fast-links in ansi
  * Fix (* -2147483648 -2147483648)
  * Begin centralizing C types in compiler.  Prevent passing unboxed
    integers across functions, prepare for doing so with short and long
    floats instead.
  * TAGS in lsp and cmpnew
  * reorder types for quick predicates, define some useful macros to
    same end
  * hash improvements courtesy of Boyer and Hunt, many thanks
  * print-object for defstruct
  * Only eval proper lists
  * read error on non-real complex components
  * nil means standard readtable
  * gcc-4.0 fixups
  * gcc 4.0 fixes;new trial subtypep (no member cons or satisfies yet);
    branch elimination; much type propagation expansion; equality
    upgrading to eq, list search functions inlined and optimized via
    compiler macros ; fix subtypep {,-integer,-float,-real,-rational,-
    complex} ansi tests.  FIXME -- go over these diffs and cleanup in a
    week's time
  * no nil vectors in gcl
  * optimize external macros with safety >=1 for arg checking -- with
    newer compiler mods enabling this facility
  * agressive C inline function calls for (funcall (quote sym) ...
  * Allow local function optimization declarations
  * Fix member compiler-macro
  * revert mistagged change to gcl_cmpeval.lsp
  * fix constant numeric comparison result detection for use in branch
    elimination ; eql-to-eq list type detection
  * Last arg to and is not a boolean
  * Make t inlines whenever boolean inlines are provided
  * proper lists in map functions -- FIXME handle properly elsewher too
  * fix terminal element in cons type support
  * make sys-proclaim.lisp with saved_pre_gcl
  * control-error support
  * No nil vector types
  * Major type system overhaul at the base -- all ansi subtypep tests
    pass with second arg set to t.  Autodetection and branch elimination
    for pcl::std-instance-p.  Incremental addition of class information
    during pcl build.  Explicit type orthoganalization and subtypep
    analysis based on assessment of (and t1 (not t2)) being type nil as
    in the Baker paper.  Preliminary use in the compiler in type-and.
    TODO complete replacement type-and and type-or in compiler with
    these algorithms.  Consider type hash consing  in compiler for
    compiler performance.  Consider a better deftype structure, as rate
    limiting step at present lies in normalizing the type via evaluation
    of interpreted deftype closures. Halv complex workload.
  * Misc small modifications to aid the compiler in optimization
  * Make sys-proclaims with saved_pre_gcl
  * External macros and functions must be compiled with safety 1 to
    check args
  * control weeoe support
  * pcl cache optimization, support for std-instance type declaration
    analysis
  * No mod/ files in saved_pre_gcl
  * No LD_STACK_FLAGS on non mingw
  * Lintian fix to package.d
  * Fix format :@ order
  * *print-readbaly* defauls to nil
  * comma interval support in format.c courtesy of Bob Boyer (thanks)
  * package-used-by-list typo fix in gcl_pcl_env.lisp
  * clcs_macros.lisp  to gcl_clcs_macros.lisp in main makefile
  * Fix cons-type-length bug blocking acl2
  * Fix frame popping bug misc.613
  * Don't evaluate 'the arg in recursively-cmp-macroexpand -- FIXME,
    this needs replacing with another c1 pass soon
  * Fix split-files pathname bug for the nqthms
  * Add back on_stack_list, fix misc 614
  * accelerated normalize-type without side-effects
  * extra ansi hash functions
  * another split-file fix
  * Newer standards
  * Fix cons type side-effect-induced bug -- FIXME try to remove the

