=== debian/rules ===
--- 
+++ 
@@ -25,16 +25,21 @@
 #endif
 
 RELOC=locbfd
+
 #RELOC?=statsysbfd
-ifeq ($(ARCHT),alpha)
-RELOC=dlopen
-endif
-ifeq ($(ARCHT),mips)
-RELOC=dlopen
-endif
-ifeq ($(ARCHT),mipsel)
-RELOC=dlopen
-endif
+#ifeq ($(ARCHT),alpha)
+#RELOC=dlopen
+#endif
+
+# MIPS bfd support added 20050407 CM
+#ifeq ($(ARCHT),mips)
+#RELOC=dlopen
+#endif
+#ifeq ($(ARCHT),mipsel)
+#RELOC=dlopen
+#endif
+
+
 ifeq ($(ARCHT),ia64)
 RELOC=dlopen
 endif
@@ -134,10 +139,11 @@
 debian/control: debian/control.rm
 	cp debian/control.$(EXT) debian/control
 
-clean: debian/control
+clean: debian/control debian/gcl$(EXT).templates
 	dh_testdir
 	dh_testroot
 	rm -f *stamp
+	debconf-updatepo
 
 	-$(MAKE) clean
 
@@ -272,7 +278,3 @@
 	dh_installdeb -a
 	dh_shlibdeps -a
 	[ "$(RELOC)" != statsysbfd ] || dh_gencontrol -a -u"-Vgcc=$(MCC) -Vbinutils=binutils-dev(>=$(BVER)),binutils-dev(<=$(BVERB)-999)"
-	[ "$(RELOC)" = statsysbfd ] || dh_gencontrol -a -u"-Vgcc=$(MCC)"
-	dh_md5sums -a
-	dh_builddeb -a
-
